import { UseQueryOptions, UseMutationOptions } from 'react-query';
import type { BeneficiaryDTO, CreateBeneficiaryDto, AddBeneficiaryDto } from './originOrganizationIRECAPI.schemas';
declare type AsyncReturnType<T extends (...args: any) => Promise<any>> = T extends (...args: any) => Promise<infer R> ? R : any;
export declare const beneficiaryControllerGetPlatformBeneficiaries: <Data = unknown>() => Promise<Data extends unknown ? BeneficiaryDTO[] : Data>;
export declare const getBeneficiaryControllerGetPlatformBeneficiariesQueryKey: () => string[];
export declare const useBeneficiaryControllerGetPlatformBeneficiaries: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(queryConfig?: UseQueryOptions<BeneficiaryDTO[], Error_1, BeneficiaryDTO[], import("react-query").QueryKey>) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<BeneficiaryDTO[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<BeneficiaryDTO[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<BeneficiaryDTO[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: BeneficiaryDTO[];
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<BeneficiaryDTO[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: BeneficiaryDTO[];
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<BeneficiaryDTO[], Error_1>>;
    remove: () => void;
    queryKey: string[];
};
export declare const beneficiaryControllerCreateBeneficiary: <Data = unknown>(createBeneficiaryDto: CreateBeneficiaryDto) => Promise<Data extends unknown ? BeneficiaryDTO : Data>;
export declare const useBeneficiaryControllerCreateBeneficiary: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<BeneficiaryDTO, Error_1, {
    data: CreateBeneficiaryDto;
}, unknown>) => import("react-query").UseMutationResult<BeneficiaryDTO, Error_1, {
    data: CreateBeneficiaryDto;
}, unknown>;
export declare const beneficiaryControllerGetCompanyBeneficiaries: <Data = unknown>() => Promise<Data extends unknown ? BeneficiaryDTO[] : Data>;
export declare const getBeneficiaryControllerGetCompanyBeneficiariesQueryKey: () => string[];
export declare const useBeneficiaryControllerGetCompanyBeneficiaries: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(queryConfig?: UseQueryOptions<BeneficiaryDTO[], Error_1, BeneficiaryDTO[], import("react-query").QueryKey>) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<BeneficiaryDTO[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<BeneficiaryDTO[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<BeneficiaryDTO[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: BeneficiaryDTO[];
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<BeneficiaryDTO[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: BeneficiaryDTO[];
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<BeneficiaryDTO[], Error_1>>;
    remove: () => void;
    queryKey: string[];
};
export declare const beneficiaryControllerAddOrganizationBeneficiary: <Data = unknown>(addBeneficiaryDto: AddBeneficiaryDto) => Promise<Data extends unknown ? BeneficiaryDTO : Data>;
export declare const useBeneficiaryControllerAddOrganizationBeneficiary: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<BeneficiaryDTO, Error_1, {
    data: AddBeneficiaryDto;
}, unknown>) => import("react-query").UseMutationResult<BeneficiaryDTO, Error_1, {
    data: AddBeneficiaryDto;
}, unknown>;
export declare const beneficiaryControllerRemoveOrganizationBeneficiary: <Data = unknown>(id: string) => Promise<Data extends unknown ? unknown : Data>;
export declare const useBeneficiaryControllerRemoveOrganizationBeneficiary: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<unknown, Error_1, {
    id: string;
}, unknown>) => import("react-query").UseMutationResult<unknown, Error_1, {
    id: string;
}, unknown>;
export {};
